package com.ti.mobpo.data

import kotlinx.coroutines.flow.Flow

class OfflineFavouritesRepository(private val favouriteDao: FavouriteDao) : FavouritesRepository {
    override fun getAllItems(): Flow<List<Favourite>> {
        return favouriteDao.getAllItems()
    }
    override suspend fun insertItem(item: Favourite) {
        favouriteDao.insert(item)
    }

    override suspend fun deleteItem(item: Favourite) {
        favouriteDao.delete(item)
    }

    override suspend fun isFavourite(id: Int): Boolean {
        return favouriteDao.isFavourite(id)
    }
}
