package com.ti.mobpo.ui.util

import android.content.Context

class FeatureManager(private val context: Context) {
    private val PREFS_NAME = "FeaturePrefs"
    private val KEY_PAID_FEATURE_ENABLED = "paid_feature_enabled"

    fun hasAccessToPaidFeature(): Boolean {
        val prefs = context.getSharedPreferences(PREFS_NAME, Context.MODE_PRIVATE)
        return prefs.getBoolean(KEY_PAID_FEATURE_ENABLED, false)
    }

    fun setPaidFeatureEnabled(enabled: Boolean) {
        val prefs = context.getSharedPreferences(PREFS_NAME, Context.MODE_PRIVATE)
        prefs.edit().putBoolean(KEY_PAID_FEATURE_ENABLED, enabled).apply()
    }
}